const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const lab_results = sequelize.define(
    'lab_results',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

result_value: {
        type: DataTypes.TEXT,
      
      

      },

unit: {
        type: DataTypes.TEXT,
      
      

      },

reference_range: {
        type: DataTypes.TEXT,
      
      

      },

remarks: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  lab_results.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity














































//end loop



    db.lab_results.belongsTo(db.lab_orders, {
      as: 'lab_order',
      foreignKey: {
        name: 'lab_orderId',
      },
      constraints: false,
    });

    db.lab_results.belongsTo(db.lab_tests, {
      as: 'test',
      foreignKey: {
        name: 'testId',
      },
      constraints: false,
    });




    db.lab_results.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.lab_results.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return lab_results;
};


